Inhalte

# Funktion CDate

Konvertiert Zeichenfolgen- oder numerische Ausdrücke in Datumswerte.

### Syntax:

    CDate (Ausdruck)

## Rückgabewert:

Date

### Parameter:

Ausdruck: Ein beliebiger zu konvertierender Zeichenfolgen- oder numerischer Ausdruck.

Wenn Sie einen Zeichenfolgenausdruck konvertieren, müssen Datum und Uhrzeit entweder in einem der für Ihre Gebietsschemaeinstellung definierten Datumsakzeptanzmuster eingegeben werden (wählen Sie LibreOffice – Einstellungen Extras – Optionen… – Sprachen und Gebietsschemata – Allgemein) oder im ISO-Datumsformat (derzeit wird nur das ISO-Format mit Bindestrichen, beispielsweise „2012-12-31“ akzeptiert). In numerischen Ausdrücken stellen Werte links von der Dezimalstelle das Datum dar, beginnend mit dem 31. Dezember 1899. Werte rechts von der Dezimalstelle stellen die Uhrzeit dar.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

      Sub ExampleCDate
          MsgBox cDate(1000.25) ' 09.26.1902 06:00:00
          MsgBox cDate(1001.26) ' 09.27.1902 06:14:24
      End Sub